
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python的Flask框架入门-Ubuntu / 憋错料</title>

    <meta name="description" content="Python的Flask框架入门-Ubuntu 全文请见tuts code:An Introduction to Python's Flask Framework Flask是Python一个小而强大的web框架.学起来简单,用起来也容易,能够帮你在很短的时间内创建web应用. 这篇文章中,我们会创建一个简单的web应用,包含两个静态页面和少许动态内容.尽管Flask能够被用来创建大型的,数据库驱动的网站,但是作为开始,通过静态页面来介绍它的工作流程会更有帮助.在了解了流程之后,我们就可以做出更为复杂的页面.读完本文章,你应该能够用这里的步骤">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Python的Flask框架入门-Ubuntu</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>全文请见tuts code：<a href="http://code.tutsplus.com/tutorials/an-introduction-to-pythons-flask-framework--net-28822" rel="external nofollow noreferrer">An Introduction to Python’s Flask Framework</a></p>
<p>Flask是Python一个小而强大的web框架。学起来简单，用起来也容易，能够帮你在很短的时间内创建web应用。</p>
<p>这篇文章中，我们会创建一个简单的web应用，包含两个静态页面和少许动态内容。尽管Flask能够被用来创建大型的，数据库驱动的网站，但是作为开始，通过静态页面来介绍它的工作流程会更有帮助。在了解了流程之后，我们就可以做出更为复杂的页面。读完本文章，你应该能够用这里的步骤作为你的下一个Flask应用的开端。</p>
<p><strong>安装Flask</strong></p>
<p>在开始之前，我们需要安装Flask。因为系统不同，不同的步骤间可能会遇到不同的错误。要是确实遇到了，就像我们通常做的，百度一下错误信息。</p>
<p><em>安装 virtualenv</em></p>
<p>virtualenv是一个创建Python开发环境非常有用的工具。我们将使用virtualenv安装Flask。</p>
<pre>$ sudo apt-get install python-virtualenv</pre>
<p><em>安装Flask</em></p>
<p>安装了virutalenv后，就可以创建一个新的相关环境：</p>
<pre>$ virtualenv flaskapp</pre>
<p>这里virtualenv创建了一个文件夹，flaskapp/，并且设置了一个纯净的python拷贝，同时安装了包管理器pip。</p>
<p>进入新创建的开发环境并激活：（注意第二行period与bin之间有一个空格）</p>
<pre>$ cd flaskapp
$ . bin/activate</pre>
<p>接下来就可以安全地安装Flask了：</p>
<pre>$ pip install Flask</pre>
<p><strong>设置项目结构</strong></p>
<pre>.
.
|----app
|    |-------static
|    |         |-----css
|    |         |-----img
|    |         |-----js
|    |-------templates
|    |-------routes.py
|    |-------README.md</pre>
<p>创建Home页面</p>
<p>创建About页面</p>
<p>添加导航</p>
<p>结论</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 16:02:08 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Python的Flask框架入门-Ubuntu的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nGOyo3.html" rel="bookmark">002：python用flask框架开发第一个demo接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从2020年开始,学习记录开始加入编号了~ 002:python用flask框架开发第一个demo接口 1.安装flask库,cmd命令进入到python37安装目录的scripts中pip3 install flask: 2.开始写代码 1 #!/usr/bin/env python 2 # -*- coding:utf-8 -*- 3 import flask 4 import json 5 6 &quot;&quot;&quot;flask 开发第一个demo接口&quot;&quot;&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD7baY4.html" rel="bookmark">Python最火框架入门了吗？微型框架 Flask与Web框架Django示例！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flask Python 微型的Web 框架,以Jinja2 模板引擎与Werkzeug WSGI工具箱为基础. Flask使用简便,使用extension增加其他功能.Flask没有窗体验证工具.默认使用的SQL.但是,Flask保存了扩增性,能够利用Flask-extension加入ORM.文件上传窗体验证工具.各种开放式身份验证技术等这些功能. 特性: 示例: 启动: 非常流行的一个Python必学框架. Django Python 语言驱动的一个开源模型-视图-控制器(MVC)风格的 W			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a1pNq0.html" rel="bookmark">Flask 框架入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flask Flask是一个使用 Python 编写的轻量级 Web 应用框架.其 WSGI 工具箱采用 Werkzeug ,模板引擎则使用 Jinja2 . 安装 Flask 依赖两个外部库, Werkzeug和 Jinja2.Werkzeug 是一个 WSGI 工具集,它是 web 应用程序和用于开发和部署的服务器之间的标准接口.Jinja2是Python下一个被广泛应用的模版引擎,他的设计思想来源于Django的模板引擎,并扩展了其语法和一系列强大的功能.其中最显著的一个是增加了沙箱执行功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3reDza0.html" rel="bookmark">宝塔面板部署Python的Flask框架项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以Linux版宝塔面板为例.本篇文章给大家介绍宝塔面板如何部署Flask项目. 先做好准备工作: 进入你的项目根目录,使用命令把项目依赖包导出到项目根目录. pip freeze &gt;requirements.txt 然后把你的项目上传到服务器. 把你的Flask框架项目中的 第一步: 在宝塔应用商店点击“宝塔插件”或搜索“python”找到“Python项目管理器”并安装. 第二步:安装完毕后点击“设置”按钮. 第三步:进行设置界面,单击“版本管理”,安装你项目需要的python版本: 第四步:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lrGLP4.html" rel="bookmark">Python 的 Flask 框架安装应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flask是一个使用 Python 编写的轻量级 Web 应用框架.其 WSGI 工具箱采用 Werkzeug ,模板引擎则使用 Jinja2 ,使用 BSD 授权. Flask也被称为 &quot;microframework&quot; ,因为它使用简单的核心,用 extension 增加其他功能.Flask没有默认使用的数据库.窗体验证工具.然而,Flask保留了扩增的弹性,可以用Flask-extension加入这些功能:ORM.窗体验证工具.文件上传.各种开放式身份验证技术.最新版本为0.12.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kympp4.html" rel="bookmark">Python之Flask框架使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flask和Django.Bottle号称Python中的强大又简单的Web框架. Flask是一个使用Python编写的轻量级Web应用框架.基于Werkzeug WSGI工具箱和Jinja2 模板引擎. Flask使用BSD授权. Flask也被称为&quot;microframework&quot;,因为它使用简单的核心,用extension增加其他功能.Flask没有默认使用的数据库.窗体验证工具.然而,Flask保留了扩增的弹性,可以用Flask-extension加入这些功能:ORM.窗体验证			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02wwnz3.html" rel="bookmark">Python爬虫Scrapy框架入门（0）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				想学习爬虫,又想了解python语言,有个python高手推荐我看看scrapy. scrapy是一个python爬虫框架,据说很灵活,网上介绍该框架的信息很多,此处不再赘述.专心记录我自己遇到的问题以及解决方案吧. 给几个链接吧,我是根据这几个东西来尝试学习的: scrapy中文文档(0.24版,我学习的时候scrapy已经1.1了,也许有些过时): http://scrapy-chs.readthedocs.io/zh_CN/0.24/intro/overview.html 大神的博客介绍:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPpW51M.html" rel="bookmark">Python之flask框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flask是一个Python编写的Web 微框架,让我们可以使用Python语言快速实现一个网站或Web服务.本文参考自Flask官方文档,大部分代码引用自官方文档. 安装flask 首先我们来安装Flask.最简单的办法就是使用pip. pip install flask 然后打开一个Python文件,输入下面的内容并运行该文件.然后访问localhost:5000,我们应当可以看到浏览器上输出了hello world. from flask import Flask app = Flask(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02k7ED3.html" rel="bookmark">Python爬虫Scrapy框架入门（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是跟着大神博客,尝试从网站上爬一堆东西,一堆你懂得的东西 附上原创链接: http://www.cnblogs.com/qiyeboy/p/5428240.html 基本思路是,查看网页元素,填写xpath表达式,获取信息.自动爬取策略是,找到翻页网页元素,获取新链接地址,执行翻页.网页分析部分不再赘述,原博讲的很好很清楚,很涨姿势 基于拿来主义,我们只需要知道怎么更改Scrapy框架就行了~ items.py: import scrapy class TestprojItem(scrapy			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9498xW3.html" rel="bookmark" class="title">KVM虚拟化笔记（十四）------kvm虚拟机动态迁移</a>
					<div>
						相比kvm虚拟机静态迁移中需要拷贝虚拟机虚拟磁盘文件,kvm虚拟机动态迁移无需拷贝虚拟磁盘文件,但是需要迁移到的虚拟主机之间需要有相同的目录结构虚拟机磁盘文件,本文这部分内容通过nfs来实现,当然也可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138RxAM.html" rel="bookmark" class="title">SpringMVC拦截器</a>
					<div>
						一.开发步骤: ① 引入JAR文件 ②定义拦截器类,实现HandlerInterceptor该接口,重写方法 注:preHandle()返回值是false public class FirstInte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZV9LG3.html" rel="bookmark" class="title">Openjudge-计算概论（A）-奥运奖牌计数</a>
					<div>
						描述: 2008年北京奥运会,A国的运动员参与了n天的决赛项目(1≤n≤17).现在要统计一下A国所获得的金.银.铜牌数目及总奖牌数. 输入输入n+1行,第1行是A国参与决赛项目的天数n,其后n行,每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJb5J4.html" rel="bookmark" class="title">方法的覆写</a>
					<div>
						方法的覆写 类和父类有相同的方法,那么类中方法的访问权限不能比父类中对应方法的访问权限严格,这就叫方法的覆写,一般称之为类覆写了父类中的某个方法 覆写方法的作用:对于一个类,向上转换后(把类的实例化对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXnpd3.html" rel="bookmark" class="title">Mysql数据库理论基础之三 --- 数据类型及SQL结构化查询语句使用</a>
					<div>
						一.简介 由MySQL AB公司开发,是最流行的开放源码SQL数据库管理系统,主要特点: 1.是一种数据库管理系统 2.是一种关联数据库管理系统 3.是一种开放源码软件,且有大量可用的共享MySQL软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2B9X3.html" rel="bookmark" class="title">Gulp：自动化构建工具</a>
					<div>
						一.介绍: gulp是一个基于流的构建工具,可以自动执行指定的任务,简洁且高效 二.优点: 开发环境下,想要能够按模块组织代码,监听实时变化 css/js预编译,postcss等方案,浏览器前缀自动补 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8dEq3.html" rel="bookmark" class="title">交叉排序</a>
					<div>
						1 #include &quot;stdafx.h&quot; 2 3 #include &lt;stdio.h&gt; 4 #include&lt;iostream&gt; 5 6 using na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEQZl0.html" rel="bookmark" class="title">&lpar;j2ee&rpar;总结关于derby内嵌模式和服务模式</a>
					<div>
						1内嵌模式.Derby数据库与应用程序共享同一个JVM,通常由应用程序负责启动和停止,对除启动它的应用程序外的其它应用程序不可见,即其它应用程序不可访问它: 罗列一些关键代码 Class.forNam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5OLg3.html" rel="bookmark" class="title">13&period;3SolrCloud集群使用手册之Zookeeper指令</a>
					<div>
						转载请出自出处:http://www.cnblogs.com/hd3013779515/ 1.upconfig java -classpath .:/home/solr/cloud/lib/* org ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e57kJ0.html" rel="bookmark" class="title">CSS属性简写</a>
					<div>
						盒模型简写: 如果top.right.bottom.left的值相同,如下面代码:margin:10px 10px 10px 10px; 缩写为:margin:10px; 如果top和bottom值相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n5g9VM.html" rel="bookmark" class="title">python版本的curl工具pycurl学习</a>
					<div>
						参考资料: http://pycurl.sourceforge.net/					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZqJeZ0.html" rel="bookmark" class="title">ndk的系统构建</a>
					<div>
						1构建多个共享库 为了建立可供住应用程序使用的模块,必须将该模块变为共享库.Android ndk构建系统将BUILD_SHARE_LIBRARY变量设置成 build-shared-library. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoL1pb0.html" rel="bookmark" class="title">富文本编辑器CKEditor的使用</a>
					<div>
						由于最近在架构一个pc端b/s结构的项目,项目中有个论坛模块,当用户发帖时,需要用到富文本编辑器,考虑了一下,决定使用CKEditor富文本编辑器,虽然现在问世的富文本编辑器很丰富,比如还有百度的UE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRrW64.html" rel="bookmark" class="title">javascript运行机制之执行顺序详解</a>
					<div>
						JavaScript是怎么来进行解析的吗?它的执行顺序又是如何的呢?在了解这些之前,我们先来认识几个重要的术语: 1.代码块 JavaScript中的代码块是指由&lt;script&gt;标签分割的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AWry50.html" rel="bookmark" class="title">Apache POI组件操作Excel，制作报表（一）</a>
					<div>
						Apache的POI组件是Java操作Microsoft Office办公套件的强大API,其中对Word,Excel和PowperPoint都有支持,当然使用较多的还是Excel,因为Word和Po ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Opw694.html" rel="bookmark" class="title">一次oracle大量数据删除经历</a>
					<div>
						oracle有个数据表现在已经有2500万条数据了,软件用到这个表的数据时就变的特别慢,所以准备把一个月以前的数据全部清除. 我的步骤是(下边操作都是在plsql中运行的) 1.首先 将这个月的数据导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQyVl0.html" rel="bookmark" class="title">javascript&lpar;3、4&rpar;module模式、立执行函数（Evernote）</a>
					<div>
						基本特征: 模块化 封装变量和function,不与全局的namaspasce接触,松耦合 只暴露public 1.var blogModule = (function (my) { // 添加一些功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myndza0.html" rel="bookmark" class="title">Windows下的Memcache安装：</a>
					<div>
						Windows下的Memcache安装:1. 下载memcache的windows稳定版,解压放某个盘下面,比如在c:\memcached2. 在终端(也即cmd命令界面)下输入 'c:\memcac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pGqmw3.html" rel="bookmark" class="title">两个按钮共用一个界面并且点击该界面保存按钮调用不同事件</a>
					<div>
						第一种情况:新增修改共用窗口 新增是创建model加载到弹出窗口的form中,sysid为空(sysid是在保存记录时生成的一串字符,由sys_guid()得到).编辑时将grid已选项加载到弹出窗口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ra8570.html" rel="bookmark" class="title">UIScrollView约束的添加</a>
					<div>
						1.首先设置UIScrollView的约束 --- 上.左.右.高度 2.往UIScrollView上拖一个UIView,设置UIView的约束 --- 上.下.左.右.滑动方向.滑动范围(一般为屏幕 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
